echo off
cls
echo Processing Script Quesionnaires into Main Board messagebase...

rem  We need to call TXT2MSG seperatly for each script questionnaire
rem  we want it to process.  Note that if someone is using a multi-lingual
rem  option, they will have the language extension (.FRE, .SWE, etc) appened
rem  to the ANSWERx file.  I have a TTY language option, for example, and
rem  thus need to also check for ANSWERx.TTY script answers.

k:
cd\all\scr\script

if exist answer1.    txt2msg 0 -qAnswer1     k:\all\stats\caller? -ril
if exist answer2.    txt2msg 0 -qAnswer2     k:\all\stats\caller? -ril
if exist answer1.tty txt2msg 0 -qAnswer1.tty k:\all\stats\caller? -ril
if exist answer2.tty txt2msg 0 -qAnswer2.tty k:\all\stats\caller? -ril
if exist access1.    txt2msg 0 -qAccess1     k:\all\stats\caller? -ril
rem                          ^     ^                  ^             ^
rem  Main Board                                     
rem  Script Questionnaire                                
rem  Callers Log(s)              
rem  R/O; Add tagline; local (no echo) 

rem  "Access1" is the script questionnaire answers from PCBverify new user
rem  processing.  PCBverify is a slick little driver for script quesionnaires

echo Moving all scripts to .LOG file(s)

rem  We move the scripts off to a log file so they are not re-processed
rem  again tomorrow.  If we failed to do this, every script would be re-
rem  processed every day... not quite what we wanted, eh?  If you do a
rem  similar operation with your caller? logs, TXT2MSG will scan the
rem  callers logs much faster, but this is not necessary.

rem  WARNING: if someone is saving a script while this is running and you do
rem  not have something like FATAL.COM loaded, you may get a share error.
rem  This would be very rarely encountered, but I recommend you have FATAL
rem  loaded just in case.  FATAL catches SHARE/DOS critical errors and pops
rem  up a window/automatically retries after a short delay.  FATAL.COM is
rem  from Sam Smith and is available for download on a BBS near you.

type k:\all\scr\script\answer1     >>k:\all\stats\answer1.log
type k:\all\scr\script\answer1.tty >>k:\all\stats\answer1.log
del  k:\all\scr\script\answer1.*

type k:\all\scr\script\answer2     >>k:\all\stats\answer2.log
type k:\all\scr\script\answer2.tty >>k:\all\stats\answer2.log
del  k:\all\scr\script\answer2.*

type k:\all\scr\script\access1 >>k:\all\stats\instant1.log
del  k:\all\scr\script\access1

c:
cd\pcb

echo Done.
